using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Repositorio.Entidades
{
    public class Local
    {
        public int LocalID { get; set; }
        [Required(ErrorMessage = "O nome é obrigatório!")]
        public string Nome { get; set; }
        [Required(ErrorMessage = "O email é obrigatório!")]
        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }
        [Required(ErrorMessage = "O endereço é obrigatório!")]
        public string Endereco { get; set; }
        [Required(ErrorMessage = "O telefone deve ser informado.!")]
        [DataType(DataType.PhoneNumber, ErrorMessage = "Forneça o número do telefone no formato (000) 0000-0000")]
        [Display(Name = "Telefone")]
        public string Telefone { get; set; }
        [Required(ErrorMessage = "O bairro deve ser informado.!")]
        public string Bairro { get; set; }
        [Required(ErrorMessage = "A cidade deve ser informada.!")]
        public string Cidade { get; set; }
        [Required(ErrorMessage = "O estado deve ser informado.!")]
        public string Estado { get; set; }

        [Required(ErrorMessage = "O CEP deve ser informado.!")]
        [RegularExpression(@"^\d{8}$|^\d{5}-\d{3}$", ErrorMessage = "O código postal deverá estar no formato 00000000 ou 00000-000")]
        [Display(Name = "CEP")]
        public string Cep { get; set; }
        public string link { get; set; }

       
    }
}
